Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 466962 - dev-libs/libgamin-0.1.10-r3 with automake-1.13 - error: 'AM_CONFIG_HEADER': this macro is obsolete
Summary: dev-libs/libgamin-0.1.10-r3 with automake-1.13 - error: 'AM_CONFIG_HEADER': t...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-04-24 01:28 UTC by iGentoo
Modified: 2013-04-28 14:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
libgamin-0.1.10-r4.ebuild (libgamin-0.1.10-r4.ebuild,4.13 KB, text/plain)
2013-04-27 21:46 UTC, 白川間瀬流
Details

Note You need to log in before you can comment on or make changes to this bug.
Description iGentoo 2013-04-24 01:28:33 UTC
>>> Source unpacked in /var/tmp/portage/dev-libs/libgamin-0.1.10-r3/work
>>> Preparing source in /var/tmp/portage/dev-libs/libgamin-0.1.10-r3/work/gamin-0.1.10 ...
‘/var/tmp/portage/dev-libs/libgamin-0.1.10-r3/work/pkg-config-0.26/pkg.m4’ -> ‘/var/tmp/portage/dev-libs/libgamin-0.1.10-r3/work/pkg.m4’
 * Applying libgamin-0.1.10-compilewarnings.patch ...
 [ ok ]
 * Applying gamin-0.1.9-freebsd.patch.bz2 ...
 [ ok ]
 * Applying libgamin-0.1.10-noinst-lib.patch ...
 [ ok ]
 * Applying libgamin-0.1.10-G_CONST_RETURN-removal.patch ...
 [ ok ]
 * Applying libgamin-0.1.10-crosscompile-fix.patch ...
 [ ok ]
 * Applying libgamin-0.1.10-armel-features.patch ...
 [ ok ]
 * Applying libgamin-0.1.10-deadlock.patch ...
 [ ok ]
 * Applying libgamin-0.1.10-disable_python_static_library.patch ...
 [ ok ]
 * Running eautoreconf in '/var/tmp/portage/dev-libs/libgamin-0.1.10-r3/work/gamin-0.1.10' ...
 * Running libtoolize --install --copy --force --automake ...
 [ ok ]
 * Running aclocal -I /var/tmp/portage/dev-libs/libgamin-0.1.10-r3/work ...
 [ !! ]

 * Failed Running aclocal !
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/dev-libs/libgamin-0.1.10-r3/temp/aclocal.out

# cat /var/tmp/portage/dev-libs/libgamin-0.1.10-r3/temp/aclocal.out
***** aclocal *****
***** PWD: /var/tmp/portage/dev-libs/libgamin-0.1.10-r3/work/gamin-0.1.10
***** aclocal -I /var/tmp/portage/dev-libs/libgamin-0.1.10-r3/work

aclocal-1.13: warning: autoconf input should be named 'configure.ac', not 'configure.in'
configure.in:4: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.in:4: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1


# cat /var/tmp/portage/dev-libs/libgamin-0.1.10-r3/temp/aclocal.out
***** aclocal *****
***** PWD: /var/tmp/portage/dev-libs/libgamin-0.1.10-r3/work/gamin-0.1.10
***** aclocal -I /var/tmp/portage/dev-libs/libgamin-0.1.10-r3/work

aclocal-1.13: warning: autoconf input should be named 'configure.ac', not 'configure.in'
configure.in:34: error: 'AM_PROG_CC_STDC': this macro is obsolete.
    You should simply use the 'AC_PROG_CC' macro instead.
    Also, your code should no longer depend upon 'am_cv_prog_cc_stdc',
    but upon 'ac_cv_prog_cc_stdc'.
/usr/share/aclocal-1.13/obsolete-err.m4:17: AM_PROG_CC_STDC is expanded from...
configure.in:34: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1


Portage 2.2.0_alpha173 (hardened/linux/amd64/selinux, gcc-4.8.0, glibc-2.17, 3.8.8-pax.x86_64 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.8.8-pax.x86_64-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9300_@_2.50GHz-with-gentoo-2.2
KiB Mem:     6114284 total,    877208 free
KiB Swap:   10484724 total,  10270592 free
Timestamp of tree: Wed, 24 Apr 2013 00:15:01 +0000
ld GNU gold (GNU Binutils 2.23.2) 1.11
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.5.4-r5, 2.6.8-r1, 2.7.4::custom, 3.1.5-r1, 3.2.3-r2, 3.3.0-r1
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.10.2-r2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.12.6, 1.13.1
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.6.4, 4.7.2-r1, 4.8.0
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.8 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo systemd hardened-dev gnome custom
Installed sets: @local
ACCEPT_KEYWORDS="amd64 x86 ~amd64 ~x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-Wall -Wextra -ggdb -march=native -pipe -O3 -fno-tree-vectorize -frecord-gcc-switches"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-Wall -Wextra -ggdb -march=native -pipe -O3 -fno-tree-vectorize -frecord-gcc-switches"
DISTDIR="/var/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going"
FCFLAGS="-Wall -Wextra -ggdb -march=native -pipe -O3 -fno-tree-vectorize -frecord-gcc-switches"
FEATURES="assume-digests binpkg-logs buildpkg collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox selinux sesandbox sfperms split-elog split-log splitdebug strict test test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS="-Wall -Wextra -ggdb -march=native -pipe -O3 -fno-tree-vectorize -frecord-gcc-switches"
GENTOO_MIRRORS="http://mirrors.163.com/gentoo http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--icf=safe"
MAKEOPTS="V=1 -j10"
PKGDIR="/var/portage/packages-amd64"
PORTAGE_BZIP2_COMMAND="lbzip2"
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_FLAGS="-9ef"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--ipv4"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/systemd /var/lib/layman/hardened-development /var/lib/layman/gnome /usr/local/portage"
SYNC="rsync://mirrors.ustc.edu.cn/gentoo-portage"
USE="X acl alsa amd64 audit bash-completion berkdb bzip2 c++0x cairo caps cli cracklib crypt custom-cflags cxx dbus dri ffmpeg gdbm gmp gnome gpm gtk gtk3 hardened iconv icu ipv6 jit jpeg jpeg2k justify lzma mmx modules mudflap multilib ncurses nls nptl open_perms opengl openmp orc pam pax_kernel pcre png pulseaudio qt4 readline selinux session sse sse2 ssl svg systemd tcpd threads tiff udev unicode urandom vim-syntax xattr xinetd zlib" ABI_X86="x32 32 64" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="btrfs caps dmsquash-live gensplash livenet lvm nfs ssh-client syslog systemd" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US zh zh_CN" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="pypy1_9 pypy2_0 python3_1 python3_2 python3_3 python2_5 python2_6 python2_7" QEMU_SOFTMMU_TARGETS="x86_64 arm mips64el ppc64" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nouveau nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7-pypy-1.9 2.7-pypy-2.0 3.1 3.2 3.3 2.5 2.6 2.7"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND

=================================================================
                        Package Settings
=================================================================

dev-libs/libgamin-0.1.10-r3 was built with the following:
USE="(multilib) (selinux) -debug -python -static-libs"
Comment 1 白川間瀬流 2013-04-27 21:46:29 UTC
Created attachment 346736 [details]
libgamin-0.1.10-r4.ebuild

Workaround for this issue
Comment 2 白川間瀬流 2013-04-27 21:46:48 UTC
Attached an workaround for this issue until upstream is fixed
Comment 3 Samuli Suominen gentoo-dev 2013-04-28 13:01:12 UTC
Fixed in portage (no revbump)
Comment 4 白川間瀬流 2013-04-28 14:23:54 UTC
Fixed in portage?

What was the problem? With what step is this fixed? After the next portage tree sync or after the next update of the portage software itself?
Comment 5 Chris Reffett gentoo-dev Security 2013-04-28 14:30:33 UTC
He means that if you run emerge --sync and try to build dev-libs/libgamin-0.1.10-r3 again, it should work now. The problem was, as you surmised, the use of the AM_CONFIG_HEADER macro, and Samuli presumably put a patch or sed line into the ebuild to fix it.